package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * business_project
 * @author
 */
public class BusinessProject implements Serializable {
    /**
     * 业务项目ID
     */
    private String id;

    /**
     * 创建人
     */
    private String createId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除标识
     */
    private Integer deleteSign;

    /**
     * 业务名称
     */
    private String bname;

    /**
     * 业务分类
     */
    private String cid;

    /**
     * 市场价
     */
    private BigDecimal price;

    /**
     * 最低折扣
     */
    private BigDecimal offset;

    /**
     * 活动价
     */
    private BigDecimal activityPrice;

    /**
     * 活动价生效标识
     */
    private String activityFlag;

    /**
     * 会员价
     */
    private BigDecimal memberPrice;

    /**
     * 业务项目介绍
     */
    private String introduce;

    /**
     * 业务项目状态
     */
    private String status;

    /**
     * 是否全国
     */
    private String country;

    /**
     * 业务地区-省
     */
    private String province;

    /**
     * 业务地区-市
     */
    private String city;

    /**
     * 业务地区-区
     */
    private String district;

    /**
     * 业务负责人ID
     */
    private String principalId;

    /**
     * 价值及作用
     */
    private String valueEffect;

    /**
     * 客户基本条件
     */
    private String clientSize;

    /**
     * 业务项目图标35*35
     */
    private String minLogo;

    /**
     * 业务项目图标200*200
     */
    private String maxLogo;

    /**
     * 项目地址
     */
    private String projectUrl;

    /**
     * 是否精品  0-否，1-是
     */
    private Integer boutique;

    /**
     * 首付金额
     */
    private BigDecimal firstPayment;

    /**
     * 0 正常 1专利 2软著 3审计 4双软 5高新 6商标 7会员
     */
    private Integer type;

    /**
     * 专利转让 0否1是
     */
    private Integer patentTransfer;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteSign() {
        return deleteSign;
    }

    public void setDeleteSign(Integer deleteSign) {
        this.deleteSign = deleteSign;
    }

    public String getBname() {
        return bname;
    }

    public void setBname(String bname) {
        this.bname = bname;
    }

    public String getCid() {
        return cid;
    }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getOffset() {
        return offset;
    }

    public void setOffset(BigDecimal offset) {
        this.offset = offset;
    }

    public BigDecimal getActivityPrice() {
        return activityPrice;
    }

    public void setActivityPrice(BigDecimal activityPrice) {
        this.activityPrice = activityPrice;
    }

    public String getActivityFlag() {
        return activityFlag;
    }

    public void setActivityFlag(String activityFlag) {
        this.activityFlag = activityFlag;
    }

    public BigDecimal getMemberPrice() {
        return memberPrice;
    }

    public void setMemberPrice(BigDecimal memberPrice) {
        this.memberPrice = memberPrice;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }

    public String getValueEffect() {
        return valueEffect;
    }

    public void setValueEffect(String valueEffect) {
        this.valueEffect = valueEffect;
    }

    public String getClientSize() {
        return clientSize;
    }

    public void setClientSize(String clientSize) {
        this.clientSize = clientSize;
    }

    public String getMinLogo() {
        return minLogo;
    }

    public void setMinLogo(String minLogo) {
        this.minLogo = minLogo;
    }

    public String getMaxLogo() {
        return maxLogo;
    }

    public void setMaxLogo(String maxLogo) {
        this.maxLogo = maxLogo;
    }

    public String getProjectUrl() {
        return projectUrl;
    }

    public void setProjectUrl(String projectUrl) {
        this.projectUrl = projectUrl;
    }

    public Integer getBoutique() {
        return boutique;
    }

    public void setBoutique(Integer boutique) {
        this.boutique = boutique;
    }

    public BigDecimal getFirstPayment() {
        return firstPayment;
    }

    public void setFirstPayment(BigDecimal firstPayment) {
        this.firstPayment = firstPayment;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getPatentTransfer() {
        return patentTransfer;
    }

    public void setPatentTransfer(Integer patentTransfer) {
        this.patentTransfer = patentTransfer;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BusinessProject other = (BusinessProject) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCreateId() == null ? other.getCreateId() == null : this.getCreateId().equals(other.getCreateId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getDeleteSign() == null ? other.getDeleteSign() == null : this.getDeleteSign().equals(other.getDeleteSign()))
            && (this.getBname() == null ? other.getBname() == null : this.getBname().equals(other.getBname()))
            && (this.getCid() == null ? other.getCid() == null : this.getCid().equals(other.getCid()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getOffset() == null ? other.getOffset() == null : this.getOffset().equals(other.getOffset()))
            && (this.getActivityPrice() == null ? other.getActivityPrice() == null : this.getActivityPrice().equals(other.getActivityPrice()))
            && (this.getActivityFlag() == null ? other.getActivityFlag() == null : this.getActivityFlag().equals(other.getActivityFlag()))
            && (this.getMemberPrice() == null ? other.getMemberPrice() == null : this.getMemberPrice().equals(other.getMemberPrice()))
            && (this.getIntroduce() == null ? other.getIntroduce() == null : this.getIntroduce().equals(other.getIntroduce()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCountry() == null ? other.getCountry() == null : this.getCountry().equals(other.getCountry()))
            && (this.getProvince() == null ? other.getProvince() == null : this.getProvince().equals(other.getProvince()))
            && (this.getCity() == null ? other.getCity() == null : this.getCity().equals(other.getCity()))
            && (this.getDistrict() == null ? other.getDistrict() == null : this.getDistrict().equals(other.getDistrict()))
            && (this.getPrincipalId() == null ? other.getPrincipalId() == null : this.getPrincipalId().equals(other.getPrincipalId()))
            && (this.getValueEffect() == null ? other.getValueEffect() == null : this.getValueEffect().equals(other.getValueEffect()))
            && (this.getClientSize() == null ? other.getClientSize() == null : this.getClientSize().equals(other.getClientSize()))
            && (this.getMinLogo() == null ? other.getMinLogo() == null : this.getMinLogo().equals(other.getMinLogo()))
            && (this.getMaxLogo() == null ? other.getMaxLogo() == null : this.getMaxLogo().equals(other.getMaxLogo()))
            && (this.getProjectUrl() == null ? other.getProjectUrl() == null : this.getProjectUrl().equals(other.getProjectUrl()))
            && (this.getBoutique() == null ? other.getBoutique() == null : this.getBoutique().equals(other.getBoutique()))
            && (this.getFirstPayment() == null ? other.getFirstPayment() == null : this.getFirstPayment().equals(other.getFirstPayment()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getPatentTransfer() == null ? other.getPatentTransfer() == null : this.getPatentTransfer().equals(other.getPatentTransfer()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCreateId() == null) ? 0 : getCreateId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getDeleteSign() == null) ? 0 : getDeleteSign().hashCode());
        result = prime * result + ((getBname() == null) ? 0 : getBname().hashCode());
        result = prime * result + ((getCid() == null) ? 0 : getCid().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getOffset() == null) ? 0 : getOffset().hashCode());
        result = prime * result + ((getActivityPrice() == null) ? 0 : getActivityPrice().hashCode());
        result = prime * result + ((getActivityFlag() == null) ? 0 : getActivityFlag().hashCode());
        result = prime * result + ((getMemberPrice() == null) ? 0 : getMemberPrice().hashCode());
        result = prime * result + ((getIntroduce() == null) ? 0 : getIntroduce().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCountry() == null) ? 0 : getCountry().hashCode());
        result = prime * result + ((getProvince() == null) ? 0 : getProvince().hashCode());
        result = prime * result + ((getCity() == null) ? 0 : getCity().hashCode());
        result = prime * result + ((getDistrict() == null) ? 0 : getDistrict().hashCode());
        result = prime * result + ((getPrincipalId() == null) ? 0 : getPrincipalId().hashCode());
        result = prime * result + ((getValueEffect() == null) ? 0 : getValueEffect().hashCode());
        result = prime * result + ((getClientSize() == null) ? 0 : getClientSize().hashCode());
        result = prime * result + ((getMinLogo() == null) ? 0 : getMinLogo().hashCode());
        result = prime * result + ((getMaxLogo() == null) ? 0 : getMaxLogo().hashCode());
        result = prime * result + ((getProjectUrl() == null) ? 0 : getProjectUrl().hashCode());
        result = prime * result + ((getBoutique() == null) ? 0 : getBoutique().hashCode());
        result = prime * result + ((getFirstPayment() == null) ? 0 : getFirstPayment().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getPatentTransfer() == null) ? 0 : getPatentTransfer().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", createId=").append(createId);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteSign=").append(deleteSign);
        sb.append(", bname=").append(bname);
        sb.append(", cid=").append(cid);
        sb.append(", price=").append(price);
        sb.append(", offset=").append(offset);
        sb.append(", activityPrice=").append(activityPrice);
        sb.append(", activityFlag=").append(activityFlag);
        sb.append(", memberPrice=").append(memberPrice);
        sb.append(", introduce=").append(introduce);
        sb.append(", status=").append(status);
        sb.append(", country=").append(country);
        sb.append(", province=").append(province);
        sb.append(", city=").append(city);
        sb.append(", district=").append(district);
        sb.append(", principalId=").append(principalId);
        sb.append(", valueEffect=").append(valueEffect);
        sb.append(", clientSize=").append(clientSize);
        sb.append(", minLogo=").append(minLogo);
        sb.append(", maxLogo=").append(maxLogo);
        sb.append(", projectUrl=").append(projectUrl);
        sb.append(", boutique=").append(boutique);
        sb.append(", firstPayment=").append(firstPayment);
        sb.append(", type=").append(type);
        sb.append(", patentTransfer=").append(patentTransfer);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
